Skip to main content
`Ctrl`+`K`

# TaoTermShellSetCreateSolutionVec

Set the routine that creates solution vector for a `TaoTerm` of type `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetCreateSolutionVec(TaoTerm term, PetscErrorCode (*createsolutionvec)(TaoTerm term, Vec *solution))

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- createsolutionvec - a function with the same signature as `TaoTermCreateSolutionVec()`

## Calling sequence of `createsolutionvec`

- term - the `TaoTerm`

- solution - a solution vector for `term`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellGetContext()`, `TaoTermShellSetContextDestroy()`, `TaoTermShellSetCreateHessianMatrices()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c

## Implementations

TaoTermShellSetCreateSolutionVec_Shell(TaoTerm term, PetscErrorCode (*createsolutionvec)() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages